%{?mingw_package_header}

%global release_version %(echo %{version} | awk -F. '{print $1"."$2}')

Name:		mingw-libsoup
Version:	2.74.3
Release:    2%{?dist}
Summary:	MinGW library for HTTP and XML-RPC functionality

License:	LGPLv2
URL:		https://wiki.gnome.org/Projects/libsoup
Source0:	https://download.gnome.org/sources/libsoup/%{release_version}/libsoup-%{version}.tar.xz

BuildArch:	noarch

BuildRequires: gcc
BuildRequires: meson

BuildRequires: mingw32-filesystem >= 107
BuildRequires: mingw32-binutils
BuildRequires: mingw32-gcc
BuildRequires: mingw32-glib2
BuildRequires: mingw32-libxml2
BuildRequires: mingw32-brotli
BuildRequires: mingw32-libpsl
BuildRequires: mingw32-sqlite

BuildRequires: mingw64-filesystem >= 107
BuildRequires: mingw64-binutils
BuildRequires: mingw64-gcc
BuildRequires: mingw64-glib2
BuildRequires: mingw64-libxml2
BuildRequires: mingw64-brotli
BuildRequires: mingw64-libpsl
BuildRequires: mingw64-sqlite

BuildRequires:	glib2-devel
BuildRequires:	intltool

%description
Libsoup is an HTTP library implementation in C. It was originally part
of a SOAP (Simple Object Access Protocol) implementation called Soup, but
the SOAP and non-SOAP parts have now been split into separate packages.

libsoup uses the Glib main loop and is designed to work well with GTK
applications. This enables GNOME applications to access HTTP servers
on the network in a completely asynchronous fashion, very similar to
the Gtk+ programming model (a synchronous operation mode is also
supported for those who want it).

This is the MinGW build of Libsoup


%package -n mingw32-libsoup
Summary:	MinGW library for HTTP and XML-RPC functionality
Requires:       pkgconfig
Requires:       mingw32-glib-networking

%description -n mingw32-libsoup
Libsoup is an HTTP library implementation in C. It was originally part
of a SOAP (Simple Object Access Protocol) implementation called Soup, but
the SOAP and non-SOAP parts have now been split into separate packages.

libsoup uses the Glib main loop and is designed to work well with GTK
applications. This enables GNOME applications to access HTTP servers
on the network in a completely asynchronous fashion, very similar to
the Gtk+ programming model (a synchronous operation mode is also
supported for those who want it).

This is the MinGW build of Libsoup

%package -n mingw64-libsoup
Summary:        MinGW library for HTTP and XML-RPC functionality
Requires:       pkgconfig
Requires:       mingw64-glib-networking

%description -n mingw64-libsoup
Libsoup is an HTTP library implementation in C. It was originally part
of a SOAP (Simple Object Access Protocol) implementation called Soup, but
the SOAP and non-SOAP parts have now been split into separate packages.

libsoup uses the Glib main loop and is designed to work well with GTK
applications. This enables GNOME applications to access HTTP servers
on the network in a completely asynchronous fashion, very similar to
the Gtk+ programming model (a synchronous operation mode is also
supported for those who want it).

This is the MinGW build of Libsoup


%{?mingw_debug_package}


%prep
%autosetup -p1 -n libsoup-%{version}

%build
%mingw_meson \
    -Dgtk_doc=false \
    -Dgssapi=disabled \
    -Dintrospection=disabled \
    -Dtests=false \
    -Dtls_check=false \
    -Dvapi=disabled

%install
%mingw_ninja_install

rm -f %{buildroot}%{mingw32_libdir}/*.la
rm -f %{buildroot}%{mingw64_libdir}/*.la

%mingw_find_lang libsoup

%files -n mingw32-libsoup -f mingw32-libsoup.lang
%license COPYING
%{mingw32_bindir}/libsoup-2.4-1.dll
%{mingw32_bindir}/libsoup-gnome-2.4-1.dll
%{mingw32_includedir}/libsoup-2.4
%{mingw32_includedir}/libsoup-gnome-2.4
%{mingw32_libdir}/libsoup-2.4.dll.a
%{mingw32_libdir}/libsoup-gnome-2.4.dll.a
%{mingw32_libdir}/pkgconfig/libsoup-2.4.pc
%{mingw32_libdir}/pkgconfig/libsoup-gnome-2.4.pc

%files -n mingw64-libsoup -f mingw64-libsoup.lang
%license COPYING
%{mingw64_bindir}/libsoup-2.4-1.dll
%{mingw64_bindir}/libsoup-gnome-2.4-1.dll
%{mingw64_includedir}/libsoup-2.4
%{mingw64_includedir}/libsoup-gnome-2.4
%{mingw64_libdir}/libsoup-2.4.dll.a
%{mingw64_libdir}/libsoup-gnome-2.4.dll.a
%{mingw64_libdir}/pkgconfig/libsoup-2.4.pc
%{mingw64_libdir}/pkgconfig/libsoup-gnome-2.4.pc

%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 2.74.3-2
- Rebuilt for loongarch64

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.74.3-1
- initial build
